For the complete documentation index, see llms.txt. This page is also available as Markdown.

청구서 발송 및 파기

청구서 발송

post

결제 금액을 결제 고객에게 청구하기 위해 청구서를 생성하고 sendType에 따라 청구서를 발송합니다.

발송방식 sendType
TALK : 생성된 청구서를 결제선생이 발송하는 방식
URL : 생성된 청구서의 URL을 전달하는 방식
Body

청구서 생성 요청 (sendType=TALK: 카카오톡 발송 / sendType=URL: URL만 응답)

apiKeystring · max: 32Required

파트너 연동을 위한 고유키

Example: partner-api-key
memberstring · max: 60Required

파트너 사용자 코드

Example: partner-user-1
merchantstring · max: 60Required

파트너 매장 코드

Example: partner-merchant-1
Responses
200

성공

application/json

공통 API 응답 포맷 (api.spec: code/message/data)

codestringOptional

응답 코드

Example: 0000
messagestringOptional

응답 메시지

Example: 성공하였습니다.
post/bill
POST /bill HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 429

{
  "apiKey": "partner-api-key",
  "member": "partner-user-1",
  "merchant": "partner-merchant-1",
  "bill": {
    "billId": "사업자번호-100000001",
    "sendType": "TALK",
    "billIssuer": "text",
    "productName": "text",
    "price": 10000,
    "supplyPrice": "text",
    "tax": "text",
    "memberName": "text",
    "phone": "text",
    "message": "text",
    "expireDt": "text",
    "hash": "a0213f3f9e45e8540e91a1339e0c5deee2dd27c4cb6b039436538c316bb45fa6",
    "callbackUrl": "text",
    "pageRedirectUrl": "text"
  }
}
200

성공

{
  "code": "0000",
  "message": "성공하였습니다.",
  "data": {
    "apiKey": "partner-api-key",
    "member": "partner-user-1",
    "merchant": "partner-merchant-1",
    "billId": "BILL20260420001",
    "hash": "text",
    "shortUrl": "https://bill.payssam.kr/abc1234DE"
  }
}

청구서 파기

post

결제를 진행할 수 없도록 발송된 청구서를 파기합니다. 결제가 승인되기 전에만 파기가 가능하며, 결제가 승인된 후에는 파기할 수 없습니다.

- 청구서를 잘못 보낸경우 사용합니다.
Body
apiKeystring · max: 32Required

파트너 연동을 위한 고유키

Example: partner-api-key
memberstring · max: 60Required

파트너 사용자 코드

Example: partner-user-1
merchantstring · max: 60Required

파트너 매장 코드

Example: partner-merchant-1
Responses
200

성공

application/json

공통 API 응답 포맷 (api.spec: code/message/data)

codestringOptional

응답 코드

Example: 0000
messagestringOptional

응답 메시지

Example: 성공하였습니다.
post/bill/destroy
POST /bill/destroy HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 220

{
  "apiKey": "partner-api-key",
  "member": "partner-user-1",
  "merchant": "partner-merchant-1",
  "bill": {
    "billId": "사업자번호-100000001",
    "price": 10000,
    "hash": "a0213f3f9e45e8540e91a1339e0c5deee2dd27c4cb6b039436538c316bb45fa6"
  }
}
200

성공

{
  "code": "0000",
  "message": "성공하였습니다.",
  "data": {
    "apiKey": "abcd1234efgh5678",
    "billId": "BILL20260420001"
  }
}

카카오톡 재발송

post

기발송된 청구서를 재발송합니다. 청구 내용은 동일하며 알림톡이 새로 발송되므로 쌤포인트는 차감됩니다.

사용 시나리오
- 고객이 핸드폰을 분실한경우
- 기존 알림톡을 삭제하여 청구서 링크를 찾을 수 없는 경우
Body
apiKeystring · max: 32Required

파트너 연동을 위한 고유키

Example: partner-api-key
memberstring · max: 60Required

파트너 사용자 코드

Example: partner-user-1
merchantstring · max: 60Required

파트너 매장 코드

Example: partner-merchant-1
Responses
200

성공

application/json

공통 API 응답 포맷 (api.spec: code/message/data)

codestringOptional

응답 코드

Example: 0000
messagestringOptional

응답 메시지

Example: 성공하였습니다.
post/bill/resend
POST /bill/resend HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 132

{
  "apiKey": "partner-api-key",
  "member": "partner-user-1",
  "merchant": "partner-merchant-1",
  "bill": {
    "billId": "사업자번호-100000001"
  }
}
200

성공

{
  "code": "0000",
  "message": "성공하였습니다.",
  "data": {
    "apiKey": "abcd1234efgh5678",
    "billId": "BILL20260420001"
  }
}

마지막 업데이트

도움이 되었나요?